Search Org Groups
Find groups.
Use this API instead:
- /scim/v2/Groups
Performs a search for groups in the organization.
Access Policy
| Role | Access |
|---|---|
| Platform operator | ✔️ |
| Organization Owner | ✔️ |
| Organization Member | ✔️ |
| Service Account (Whitelisted Client) | ✔️ |
Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/csp/gateway/am/api/orgs/{orgId}/groups-search
COPY
Path Parameters
string
orgId
Required
orgId
Query Parameters
string
groupSearchTerm
Required
groupSearchTerm
Responses
200
OK
Returns
SearchGroupsResponse
of type(s)
*/*
{
"results": [
{
"id": "string",
"displayName": "string",
"domain": "string",
"usersCount": 0,
"groupType": "string",
"organizationRoles": [
{
"id": "string",
"orgId": "string",
"name": "string",
"displayName": "string"
}
],
"serviceRoles": [
{
"serviceDefinitionId": "string",
"serviceRoleNames": [
"string"
]
}
]
}
]
}
401
The user is not authorized to use the API.
Returns
SearchGroupsResponse
of type(s)
*/*
{
"results": [
{
"id": "string",
"displayName": "string",
"domain": "string",
"usersCount": 0,
"groupType": "string",
"organizationRoles": [
{
"id": "string",
"orgId": "string",
"name": "string",
"displayName": "string"
}
],
"serviceRoles": [
{
"serviceDefinitionId": "string",
"serviceRoleNames": [
"string"
]
}
]
}
]
}
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/am/api/orgs/{orgId}/groups-search?groupSearchTerm=v
Deprecated
On This Page
Organization Controller Operations
GET
Get By Id
Deprecated
PATCH
Patch Org
Deprecated
GET
Get Org Roles
Deprecated
PATCH
Patch Org Roles
Deprecated
GET
Get Org Sub Orgs
Deprecated
GET
Get Role By Org Id And Role Id
Deprecated
GET
Search Org Groups
Deprecated